import 'package:flutter/material.dart';

class EcgDeviceConnectDisconnected extends StatelessWidget {
  const EcgDeviceConnectDisconnected({
    super.key,
    this.connect,
  });
  final Function? connect;

  @override
  Widget build(BuildContext context) {
    return _buildContent();
  }

  Widget _buildTitle(String title) {
    return FittedBox(
      child: Text(
        title,
        style: const TextStyle(color: Colors.red, fontSize: 24),
      ),
    );
  }

  Widget _buildContent() {
    return Row(
      children: [
        _buildTitle('设备断开连接'),
        const SizedBox(
          width: 16,
        ),
        IconButton(
          onPressed: () async => await connect!.call(),
          icon: const Icon(
            Icons.bluetooth_connected,
            size: 36,
          ),
          color: Colors.blue,
        ),
        const SizedBox(
          width: 16,
        ),
      ],
    );
  }
}
